# Iterate through IFS_PATH so that this will do a series of
# system "dspaut '/qibm'", "dspaut '/qibm/prodData'"... etc.
# This script will quickly display the authority for each directory
# in the IFS path


#Change the IFS_PATH to the directory you wish to perform a DSPAUT.

#export IFS_PATH=/qibm/userdata/httpa/admin/conf/admin-cust.conf
export IFS_PATH=$1


if test "${IFS_PATH}" = ""; then
echo "Please enter the IFS Path to display the authority"
read IFS_PATH
fi

# determines the current location
CURRENT_LOCATION=`(pwd) 2>/dev/null`

# First get count of directories in path and assign to COUNT

count=$(echo "$IFS_PATH" | awk ' BEGIN { FS="/" } { print NF  } ')
#echo "The number of directories/files in $IFS_PATH is `expr $count '-' 1`"
echo "$IFS_PATH" > $CURRENT_LOCATION/Path.txt

i=1
while [ $i -le $count ] ; do
cut -d '/' -f 1-$i  ${CURRENT_LOCATION}/Path.txt >> ${CURRENT_LOCATION}/cutPath.txt
    i=`expr $i '+' 1`
done

cat ${CURRENT_LOCATION}/cutPath.txt |
while read line
do
if test "${line}" != ""; then
system "DSPAUT '$line'" >> ${CURRENT_LOCATION}/DirFileAuthority.txt 2>> ${CURRENT_LOCATION}/DirFileAuthority.txt
fi
done

rm ${CURRENT_LOCATION}/cutPath.txt
rm ${CURRENT_LOCATION}/Path.txt




