#!/bin/qsh


export WAS_PROD_PATH=$1
export WAS_PROFILE_NAME=$2





touch -C 1252 /tmp/WASInstalls.txt
touch -C 1252 /tmp/WASInstalls_file.txt
touch -C 1252 /tmp/WASProfilePaths.txt
touch -C 1252 /tmp/WASProfilePaths_file.txt

count=0

#Query the files to populate /tmp/WASInstalls.txt
# .was.installlocations.registry covers Websphere 8 and 8.5
cat /qibm/was/.ibm/.was.installlocations.registry  > /tmp/WASInstalls.txt

#Grep .nifregistry to cover websphere 6.1 and 7.0
grep  'was.primary.pak' /qibm/was/.ibm/.nif/.nifregistry     | cut -d '"' -f2  | cut -d '/' -f3-15  >> /tmp/WASInstalls.txt

#Display the installs to a menu
cat  /tmp/WASInstalls.txt | while read line
do
    count=`expr $count + 1`
    echo "$count:      $line" >> /tmp/WASInstalls_file.txt
done
echo " "
echo "*******************************************************"
#@1 - removed blank line.
echo "Please select # of WebSphere install you wish to collect"
echo " "
cat /tmp/WASInstalls_file.txt
echo " "
echo "*******************************************************"

read choice  

#From the menu, select the install.  This will save to a variable WAS_PROD_PATH
echo "choice is ${choice}"

echo "You chose the WebSphere installation"

WAS_PROD_PATH=`grep "^${choice}:" /tmp/WASInstalls_file.txt | cut -c9-73`
echo "$WAS_PROD_PATH"  

count=0



#Query .was.installlocations.registry, grab ${WAS_PROD_PATH}/properties/product.properties   to grab 
# was.userdata.path=/QIBM/UserData/WebSphere/AppServer/V85/Express. Save to WAS_USER_PATH
WAS_USER_PATH=/`grep 'was.userdata.path' ${WAS_PROD_PATH}/properties/product.properties  |  cut -d '/' -f2-10`                                                                                                                       


# Grep the ${WAS_USER_PATH}/profileRegistry/profileregistry.xml for list of profiles
grep  '<profile isAReservationTicket'   ${WAS_USER_PATH}/profileRegistry/profileregistry.xml | cut   -d '"' -f8 > /tmp/WASProfilePaths.txt                                                                                                                  
    
#Select from list which profile to gather collector on, save it to WAS_PROFILE_PATH

cat  /tmp/WASProfilePaths.txt | while read line
do
    count=`expr $count + 1`
    echo "$count:      $line" >> /tmp/WASProfilePaths_file.txt
done
echo " "
echo "*******************************************************"
#@1 - removed blank line.
echo "Please select # of WebSphere install you wish to collect"
echo " "
cat /tmp/WASProfilePaths_file.txt
echo " "
echo "*******************************************************"

read profchoice  

echo "You chose the WebSphere ProfilePath"

WAS_PROFILE_PATH=`grep "^${profchoice}:" /tmp/WASProfilePaths_file.txt | cut -c9-100`
echo "$WAS_PROFILE_PATH"  

rm   /tmp/WASProfilePaths_file.txt

rm /tmp/WASProfilePaths.txt

rm /tmp/WASInstalls_file.txt

#Grab the directory after profiles, and save it to WAS_PROFILE_NAME
WAS_PROFILE_NAME=$(eval echo ${WAS_PROFILE_PATH##*/})

#Run collector and place in /tmp directory
echo "${WAS_PROFILE_PATH}/bin/collector -JarOutName /tmp/${WAS_PROFILE_NAME}Collector.jar"
${WAS_PROFILE_PATH}/bin/collector -JarOutName /tmp/${WAS_PROFILE_NAME}Collector.jar


