#! /bin/qsh 
#
# 07/23/15 - Added Kerberos listing
# 3/26/15 -Added /qibm/userdata/qwebqry/apps  /QIBM/UserData/webquery/ibi/webfocus77/basedir for 210
# 2/11/15 -Added base80 dir for wqlib85, extensions directory
# 7/2/14 -fixed issue with mkdir in CollectSystemData
# 11/04/14 - fixed issue with  WEBQRY_VERSION typo

export WEBQRY_VERSION=$1
export QMG_INIT=$2
export FTP_RESPONSE=$3
export PMR=$4
export EMAIL=$5

SRVPRINCIPAL=`keytab list -k /qibm/userdata/qwebqry/extensions/KERBEROS/krb5.keytab  | grep Principal | cut -f2 -d ':' | tail -n 1` 
KRBPATH=/qibm/userdata/qwebqry/extensions/KERBEROS




#METHODS DEFINED
#
RunHealthCheck(){
echo "Step 10. Running Healthcheck.  This may take 10-20 minutes."

if test "${WEBQRY_VERSION}" = "111"; then
# Run healthcheck based on version 111

/qibm/proddata/webquery/ibi/healthchecker/WQHC  *ALL > /tmp/DB2_WebQuery/data/collectorfiles/healthchecker.log
/qibm/userdata/webquery/IBI/srv77/wfs/bin/edastart -show > /tmp/DB2_WebQuery/data/collectorfiles/DSPWEBQRYoutput.txt

            

else
if test "${WBBQRY_VERSION}" = "112"; then
# Run healthcheck based on version 112
/qibm/proddata/webquery/ibi/healthchecker/WQHC  *ALL > /tmp/DB2_WebQuery/data/collectorfiles/healthchecker.log
/qibm/userdata/webquery/IBI/srv77/wfs/bin/edastart -show > /tmp/DB2_WebQuery/data/collectorfiles/DSPWEBQRYoutput.txt     


else 
if test "${WEBQRY_VERSION}" = "210"; then
#First check to see if Liberty enabled, then run healthcheck based on 210
/qibm/proddata/QWEBQRY/healthchecker/WQHC  *ALL > /tmp/DB2_WebQuery/data/collectorfiles/healthchecker.log
/qibm/userdata/qwebqry/ibi/srv77/wfs/bin/edastart -show  > /tmp/DB2_WebQuery/data/collectorfiles/DSPWEBQRYoutput.txt  2> /tmp/DB2_WebQuery/data/collectorfiles/DSPWEBQRYoutput.txt   


fi
fi
fi

}

CollectData () {
# Redirect Errors to /tmp/DB2_WebQuery/data/collectorfiles/webquerycollectorScriptErrors.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/WebquerycollectorscriptErrors.txt
exec 2>/tmp/DB2_WebQuery/data/collectorfiles/webquerycollectorScriptErrors.txt
echo "Step 3.  Collecting Data"
# Gather Prehealthcheck, java tests, chkprdopt, joblogs, DSPUSRPRF regardless of QMGTOOLS
mkdir -p /tmp/DB2_WebQuery/data/collectorfiles
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/dspptf.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/dspsfwrsc.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/JDK50QIBMHello.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/JDK60QIBMHello.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/wrkactjob.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/cfgtcpopt10.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/cfgtcpopt12.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/webqryfilelist.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/lwisvrauthority.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/QWEBQRYauthlist.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/sharedauth.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/lwiauth.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/DSPWEBQRYoutput.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/wrksysval.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptSS1Opt33.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptSS1Opt3.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptJV1.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptDG1.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptWQX.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/PreHealthCheck.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/JPingOutput.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/QWQADMINprofile.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/QTMHHTTPprofile.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/QPropDump.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/webqueryZIPOutput.txt
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/KerberosListing.txt

VRM="unknown"
if [ "$VERSION" = "6" ] && [ "$RELEASE" = "1" ]
then
	VRM="V6R1"

#Gather r610 specific data
echo "Step 4. Running CHKPRDOPT"
system "CHKPRDOPT PRDID(5761SS1) OPTION(33)" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptSS1Opt33.txt
system "CHKPRDOPT PRDID(5761SS1) OPTION(3)" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptSS1Opt3.txt
system "chkprdopt 5761JV1" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5761DG1" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptDG1.txt



elif [ "$VERSION" = "7" ] && [ "$RELEASE" = "1" ]
then
	VRM="V7R1"
	
#Gather R710 specific data
echo "Step 4. Running CHKPRDOPT"
system "CHKPRDOPT PRDID(5770SS1) OPTION(33)" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptSS1Opt33.txt
system "CHKPRDOPT PRDID(5770SS1) OPTION(3)" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptSS1Opt3.txt
system "chkprdopt 5761JV1" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5770DG1" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptDG1.txt

elif [ "$VERSION" = "7" ] && [ "$RELEASE" = "2" ]
then
	VRM="V7R2"
	
#Gather R710 specific data
echo "Step 4. Running CHKPRDOPT"
system "CHKPRDOPT PRDID(5770SS1) OPTION(33)" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptSS1Opt33.txt
system "CHKPRDOPT PRDID(5770SS1) OPTION(3)" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptSS1Opt3.txt
system "chkprdopt 5770JV1" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5770DG1" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptDG1.txt

fi

system "CHKPRDOPT PRDID(5733WQX) DETAIL(*FULL)" 2> /tmp/DB2_WebQuery/data/collectorfiles/chkprdoptWQX.txt
system "DSPOBJAUT OBJ(QSYS/QLWISVR) OBJTYPE(*PGM)" > /tmp/DB2_WebQuery/data/collectorfiles/lwisvrauthority.txt
system "DSPAUTL AUTL(QWEBQRY)" > /tmp/DB2_WebQuery/data/collectorfiles/QWEBQRYauthlist.txt
system "DSPAUT OBJ('/qibm/proddata/os/osgi/shared')" > /tmp/DB2_WebQuery/data/collectorfiles/sharedauth.txt
system "DSPAUT OBJ('/QIBM/ProdData/HTTP/Admin/lwi')" > /tmp/DB2_WebQuery/data/collectorfiles/lwiauth.txt

/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/jre/bin/java -Dcom.ibm.security.krb5.Krb5Debug=all -Dcom.ibm.security.jgss.debug=all -Djava.security.krb5.conf=$KRBPATH/krb5.conf com.ibm.security.krb5.internal.tools.Kinit -k -t $KRBPATH/krb5.keytab $SRVPRINCIPAL kerberos >  /tmp/DB2_WebQuery/data/collectorfiles/KerberosListing.txt

#TEST JAVA
echo "Step 5. Testing Java"
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  -showversion QIBMHello > /tmp/DB2_WebQuery/data/collectorfiles/JDK50QIBMHello.txt 2> /tmp/DB2_WebQuery/data/collectorfiles/JDK50QIBMHello.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin/java  -showversion QIBMHello > /tmp/DB2_WebQuery/data/collectorfiles/JDK60QIBMHello.txt 2> /tmp/DB2_WebQuery/data/collectorfiles/JDK60QIBMHello.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  QPropDump > /tmp/DB2_WebQuery/data/collectorfiles/QPropDump.txt 2> /tmp/DB2_WebQuery/data/collectorfiles/QPropDump.txt

echo "Step 6. Running prehealthcheck"
system "QSYS/CALL PGM(QSYS/QHCRPRECHK)" > /tmp/DB2_WebQuery/data/collectorfiles/PreHealthCheck.txt  2>> /tmp/DB2_WebQuery/data/collectorfiles/PreHealthCheck.txt

echo "Step 7. Testing Host Servers"
echo "Testing Host Servers with JPing" > /tmp/DB2_WebQuery/data/collectorfiles/JPingOutput.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java -cp /qibm/proddata/http/Public/jt400/lib/jt400.jar  utilities.JPing localhost -verbose >> /tmp/DB2_WebQuery/data/collectorfiles/JPingOutput.txt

echo "Step 8.  DSPUSRPRF "
system "DSPUSRPRF QWQADMIN" > /tmp/DB2_WebQuery/data/collectorfiles/QWQADMINprofile.txt
system "DSPUSRPRF QTMHHTTP" > /tmp/DB2_WebQuery/data/collectorfiles/QTMHHTTPprofile.txt



}

CollectSystemData () {
echo "Step 1. Collecting System Data"
mkdir -p /tmp/DB2_WebQuery/data/collectorfiles
# This will be called if this script was NOT initiated by QMGTOOLS command.  
# Gather DSPPTF, WRKSYSSTS, WRKACTJOB, DSPSFWRSC
echo "Step 2. Gathering TCP Data"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOChost hosts) TOSTMF('/tmp/DB2_WebQuery/data/collectorfiles/cfgtcpopt10.txt') RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"  2>/dev/null
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCtcpip config) TOSTMF('/tmp/DB2_WebQuery/data/collectorfiles/cfgtcpopt12.txt') RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)" 2>/dev/null

system dspptf > /tmp/DB2_WebQuery/data/collectorfiles/dspptf.txt    
system wrkactjob > /tmp/DB2_WebQuery/data/collectorfiles/wrkactjob.txt
system dspsfwrsc > /tmp/DB2_WebQuery/data/collectorfiles/dspsfwrsc.txt 2>/dev/null
system wrksysval > /tmp/DB2_WebQuery/data/collectorfiles/wrksysval.txt






}

gatherJoblogs() {

mkdir -p /tmp/DB2_WebQuery/data/collectorfiles/joblogs
#Determine Web query version
# WEBQRY_VERSION = 111 = WQLWI76
# WEBQRY_VERSION = 112 = WQLWI77
# WEBQRY_VERSION = 210 = WQLWI80 or WQLWI85


case "$WEBQRY_VERSION" in
   "111") JOB_NAME=WQLWI76 
   ;;
   "112") JOB_NAME=WQLWI77 
   ;;
   "210") JOB_NAME=WQLWI80 
   ;;
esac


echo "Step 9. Gathering joblogs for ${JOB_NAME}"

if test "${JOB_NAME}" = "WQLWI85" || test "${JOB_NAME}" = "WQLWI80"; then
ps -lu QWQADMIN,QWEBADMIN,QLWISVR,QTMHHTTP -o JOBNUM,JOBNAME,STIME,STATUS,JOBID | grep -i WQLWI80 > /tmp/DB2_WebQuery/data/collectorfiles/ActiveHTTPJobs.txt
ps -lu QWQADMIN,QWEBADMIN,QLWISVR,QTMHHTTP -o JOBNUM,JOBNAME,STIME,STATUS,JOBID | grep -i WQLIB85 >> /tmp/DB2_WebQuery/data/collectorfiles/ActiveHTTPJobs.txt


cat /tmp/DB2_WebQuery/data/collectorfiles/ActiveHTTPJobs.txt | cut -c 49-77 |
while read line
do
echo $line > /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt
JOBNUMBER=`cut -c 1-6 /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt` > /tmp/DB2_WebQuery/data/collectorfiles/JobNumber.txt
system "DSPJOBLOG JOB($line)" >> /tmp/DB2_WebQuery/data/collectorfiles/joblogs/WQLWI8xJoblog${JOBNUMBER}.txt

done

#Gather QPJOBLOGs for OUTQ status with today's date
system "CRTPF FILE(QGPL/JOBLOGS) RCDLEN(150) MAXMBRS(*NOMAX) SIZE(*NOMAX)"

ps -tlu QWQADMIN,QWEBADMIN,QLWISVR,QTMHHTTP -o STIME,JOBNAME,STATUS,JOBID | grep  WQLWI80  | grep $DATE >  /tmp/DB2_WebQuery/data/collectorfiles/OUTQHTTPJobs.txt
ps -tlu QWQADMIN,QWEBADMIN,QLWISVR,QTMHHTTP -o STIME,JOBNAME,STATUS,JOBID | grep  WQLIB85  | grep $DATE >>  /tmp/DB2_WebQuery/data/collectorfiles/OUTQHTTPJobs.txt

#This cuts out the fully qualified job name of the outq jobs
cat  /tmp/DB2_WebQuery/data/collectorfiles/OUTQHTTPJobs.txt | cut -c 42-71 |

while read line
do
echo $line > /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt
JOBNUMBER=`cut -c 1-6 /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt`  #This cuts out just the number of the Full job name

system "CPYSPLF FILE(QPJOBLOG) TOFILE(QGPL/JOBLOGS) JOB($line) TOMBR(WQLWI80)"
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/WQLWI80OUTQJoblog${JOBNUMBER}.txt
system "CPYTOIMPF FROMFILE(QGPL/JOBLOGS WQLWI80) TOSTMF('/tmp/DB2_WebQuery/data/collectorfiles/joblogs/WQLWI80OUTQJoblog${JOBNUMBER}.txt')    MBROPT(*REPLACE) TOCCSID(1252) RCDDLM(*CRLF)"
done

system "DLTF FILE(QGPL/JOBLOGS)"
rm  /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt
rm  /tmp/DB2_WebQuery/data/collectorfiles/OUTQHTTPJobs.txt
#####ENd Gathering JOBLOGS for WQLWI8x jobs#####

elif  test "${JOB_NAME}" = "WQLWI77" || test "${JOB_NAME}" = "WQLWI76"; then
ps -lu  QWEBQRYADM,QLWISVR,QTMHHTTP -o JOBNUM,JOBNAME,STIME,STATUS,JOBID | grep -i ${JOB_NAME} > /tmp/DB2_WebQuery/data/collectorfiles/ActiveHTTPJobs.txt


cat /tmp/DB2_WebQuery/data/collectorfiles/ActiveHTTPJobs.txt | cut -c 49-77 |
while read line
do
echo $line > /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt
JOBNUMBER=`cut -c 1-6 /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt` > /tmp/DB2_WebQuery/data/collectorfiles/JobNumber.txt
system "DSPJOBLOG JOB($line)" >> /tmp/DB2_WebQuery/data/collectorfiles/joblogs/${JOB_NAME}Joblog${JOBNUMBER}.txt

done

#Gather QPJOBLOGs for OUTQ status with today's date
system "CRTPF FILE(QGPL/JOBLOGS) RCDLEN(150) MAXMBRS(*NOMAX) SIZE(*NOMAX)"

ps -tlu QWEBQRYADM,QLWISVR,QTMHHTTP -o STIME,JOBNAME,STATUS,JOBID | grep  ${JOB_NAME}  | grep $DATE >  /tmp/DB2_WebQuery/data/collectorfiles/OUTQHTTPJobs.txt

#This cuts out the fully qualified job name of the outq jobs
cat  /tmp/DB2_WebQuery/data/collectorfiles/OUTQHTTPJobs.txt | cut -c 42-71 |

while read line
do
echo $line > /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt
JOBNUMBER=`cut -c 1-6 /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt`  #This cuts out just the number of the Full job name

system "CPYSPLF FILE(QPJOBLOG) TOFILE(QGPL/JOBLOGS) JOB($line) TOMBR(${JOB_NAME})"
touch -C 1252 /tmp/DB2_WebQuery/data/collectorfiles/${JOB_NAME}OUTQJoblog${JOBNUMBER}.txt
system "CPYTOIMPF FROMFILE(QGPL/JOBLOGS ${JOB_NAME}) TOSTMF('/tmp/DB2_WebQuery/data/collectorfiles/joblogs/${JOB_NAME}OUTQJoblog${JOBNUMBER}.txt')    MBROPT(*REPLACE) TOCCSID(1252) RCDDLM(*CRLF)"
done

system "DLTF FILE(QGPL/JOBLOGS)"
rm  /tmp/DB2_WebQuery/data/collectorfiles/JobName.txt
rm  /tmp/DB2_WebQuery/data/collectorfiles/OUTQHTTPJobs.txt
#####ENd Gathering JOBLOGS for WQLWI7x jobs#####



fi

}



ZipData(){
echo "Step 11. Zipping Data"
echo "WEBQRY_VERSION is $WEBQRY_VERSION"
# Zip data based on version of WebQuery 

if test "${WEBQRY_VERSION}" = "111"; then
# Jar up data based on version 111

jar cvf $CURLOC/data/WebQuerycollector.zip  \
/qibm/userdata/os/osgi/registry/ \
/qibm/userdata/webquery/IBI/webfocus76/WQLWI7/logs \
/qibm/userdata/webquery/IBI/webfocus76/WQLWI7/lwi/logs \
/qibm/userdata/webquery/IBI/webfocus76/WQLWI7/lwi/conf/overrides \
/qibm/userdata/webquery/IBI/webfocus76/WQLWI7/conf \
/QIBM/UserData/qwebqry/ibi/srv77/wfs/edatemp \
/tmp/DB2_WebQuery/data/collectorfiles \
/qibm/proddata/os/osgi/registry/ \
/qibm/userdata/java400/SystemDefault.properties  \
/qibm/userdata/webquery/IBI/apps/baseapp \
/qibm/userdata/webquery/IBI/srv76/wfs \
/qibm/userdata/webquery/IBI/ReportCaster76/log \
/tmp/webquery/ \
/qibm/userdata/webquery/IBI/ReportCaster76/trc


if test -e $CURLOC/data/WebQuerycollector.zip; then
echo "$CURLOC/data/WebQuerycollector.zip is finished"
else
echo "$CURLOC/data/WebQuerycollector.zip failed to create.  Exiting...."
exit

fi





else
if test "${WEBQRY_VERSION}" = "112"; then
# Jar up data based on version 112

jar cvf $CURLOC/data/WebQuerycollector.zip  \
/qibm/userdata/os/osgi/registry/ \
/qibm/userdata/webquery/IBI/webfocus77/WQLWI77/logs \
/qibm/userdata/webquery/IBI/webfocus77/WQLWI77/lwi/logs \
/qibm/userdata/webquery/IBI/webfocus77/WQLWI77/lwi/conf/overrides \
/qibm/userdata/webquery/IBI/webfocus77/WQLWI77/conf \
/QIBM/UserData/qwebqry/ibi/srv77/wfs/edatemp \
/tmp/DB2_WebQuery/data/collectorfiles \
/qibm/proddata/os/osgi/registry/ \
/qibm/userdata/java400/SystemDefault.properties  \
/qibm/userdata/webquery/IBI/apps/baseapp \
/qibm/userdata/webquery/IBI/srv77/wfs \
/qibm/userdata/webquery/IBI/ReportCaster76/log \
/tmp/webquery/ \
/qibm/userdata/webquery/IBI/ReportCaster76/trc


if test -e $CURLOC/data/webquerycollector.zip; then
echo "$CURLOC/data/WebQuerycollector.zip is finished"
else
echo "$CURLOC/data/WebQuerycollector.zip failed to create.  Exiting...."
exit

fi


else 
if test "${WEBQRY_VERSION}" = "210"; then
#First check to see if Liberty enabled, then jar up data based on 210

#Check to see if WQLIB85 exists /qibm/userdata/qwebqry/WQLIB85
# IF it does exist, change WQLIB85=TRUE and WQ_DIR=WQLIB85
if test -e "/qibm/userdata/qwebqry/WQLIB85"; then         
WEBQRY_DIR=WQLIB85                                            
else                                                      
WEBQRY_DIR=WQLWI80                                            
fi    

if test "${WEBQRY_DIR}" = "WQLWI80"; then
jar -cvf $CURLOC/data/WebQuerycollector.zip \
/QIBM/UserData/os/osgi/registry/ \
/QIBM/UserData/qwebqry/apps/ \
/QIBM/UserData/qwebqry/base80/  \
/tmp/DB2_WebQuery/data/collectorfiles \
/QIBM/UserData/webquery/ibi/webfocus77/basedir \
/qibm/userdata/qwebqry/apps \
/QIBM/UserData/qwebqry/WQLWI80/iasCreateWQLWI80.properties \
/QIBM/UserData/qwebqry/WQLWI80/conf \
/QIBM/UserData/qwebqry/WQLWI80/htdocs \
/QIBM/UserData/qwebqry/WQLWI80/logs \
/QIBM/UserData/qwebqry/WQLWI80/lwi/bin \
/QIBM/UserData/qwebqry/WQLWI80/lwi/conf/*.properties \
/QIBM/UserData/qwebqry/WQLWI80/lwi/conf/overrides \
/QIBM/UserData/qwebqry/WQLWI80/lwi/logs \
/QIBM/UserData/qwebqry/WQLWI80/lwi/security \
/QIBM/UserData/qwebqry/WQLWI80/lwi/version.properties \
/QIBM/UserData/qwebqry/ibi/srv77/wfs/edatemp \
/QIBM/UserData/qwebqry/extensions/ \
/qibm/userdata/java400/SystemDefault.properties  \
/QIBM/UserData/qwebqry/ibi/srv77/wfs \
/tmp/webquery/     > /tmp/DB2_WebQuery/data/collectorfiles/webqueryZIPOutput.txt

if test -e $CURLOC/data/webquerycollector.zip; then
echo "$CURLOC/data/WebQuerycollector.zip is finished"
else
echo "$CURLOC/data/WebQuerycollector.zip failed to create.  Exiting...."
exit

fi

elif test "${WEBQRY_DIR}" = "WQLIB85"; then
jar -cvf $CURLOC/data/WebQuerycollector.zip \
/qibm/userdata/qwebqry/wqlib85/wlp/usr/servers/WQLIB85/dropins \
/qibm/userdata/qwebqry/wqlib85/wlp/usr/servers/WQLIB85/lib \
/qibm/userdata/qwebqry/wqlib85/wlp/usr/servers/WQLIB85/logs \
/qibm/userdata/qwebqry/wqlib85/wlp/usr/servers/WQLIB85/bootstrap.properties \
/qibm/userdata/qwebqry/wqlib85/wlp/usr/servers/WQLIB85/jvm.options \
/qibm/userdata/qwebqry/wqlib85/wlp/usr/servers/WQLIB85/server.env \
/qibm/userdata/qwebqry/wqlib85/wlp/usr/servers/WQLIB85/server.xml \
/QIBM/UserData/qwebqry/ibi/srv77/wfs/edatemp \
/QIBM/UserData/qwebqry/base80/ \
/qibm/userdata/os/osgi/registry \
/qibm/userdata/qwebqry/extensions/  \
/qibm/userdata/java400/SystemDefault.properties \
/qibm/userdata/qwebqry/wqlib85/conf \
/qibm/userdata/qwebqry/wqlib85/logs \
/tmp/DB2_WebQuery/data/collectorfiles \
/QIBM/UserData/webquery/ibi/webfocus77/basedir \
/qibm/userdata/qwebqry/apps \
/qibm/userdata/qwebqry/wqlib85/iasCreateWQLIB85.properties \
/QIBM/UserData/qwebqry/ibi/srv77/wfs \
/tmp/webquery/     > /tmp/DB2_WebQuery/data/collectorfiles/webqueryZIPOutput.txt

if test -e $CURLOC/data/webquerycollector.zip; then
echo "$CURLOC/data/WebQuerycollector.zip is finished"
else
echo "$CURLOC/data/WebQuerycollector.zip failed to create.  Exiting...."
exit

fi
fi





fi
fi
fi

}


FtpData(){
# if this is not initiated by QMGTOOLS, FTP data using the java call
echo "Step 12. FTPING data"

if test -e $CURLOC/data/webquerycollector.zip; then
if test -e $CURLOC/../ibmsdduu.jar; then
echo " "
echo "We will now attempt to send it to service for analysis..."
echo " "
export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit 
java  -cp .:$CURLOC/../ibmsdduu.jar ibmsdduu.cmd -email=${EMAIL} -pmr -id=${PMR} -compress -encrypt $CURLOC/data/webquerycollector.zip

else

echo " "
echo "Unable to send the file.  Please send the $CURLOC/data/webquerycollector.zip" 
echo "to this website: http://www.ecurep.ibm.com/app/upload"
fi
else
echo "There is a problem with the jar function, unable to create the $CURLOC/data/webquerycollector.zip file"
fi

#cho "Please send the $CURLOC/data/webquery210collector.zip to this website:  http://www.ecurep.ibm.com/app/upload"



}


#
#
#MAIN BODY OF DATA COLLECTION
# 
#
echo " "
echo " "
echo "Initiating WebQuery Collector. This process may take 10-20 minutes."
echo " "
echo " " 


# determines the current location
CURLOC=`(pwd) 2>/dev/null`
echo "CURLOC is $CURLOC"
mkdir ${CURLOC}/data  2>/dev/null
mkdir -p /tmp/DB2_WebQuery/data/collectorfiles  2>/dev/null

# determine the OS version and then collects only the data specific to that version
RELEASE=`(uname -r) 2>/dev/null` || RELEASE=unknown
VERSION=`(uname -v) 2>/dev/null` || VERSION=unknown

DATE=`(date "+%m-%d-%Y")`



# Check to see if this was initiated by command in QMGTOOLS.  If so, flag it so it does not gather redundant data (healthcheck, SYSSNAP)
if test "${QMG_INIT}" = "Y"; then
#
#
CollectData
gatherJoblogs
ZipData

else
# Gather healthcheck, collectorfiles, then GOTO line where data is zipped based on WebQUery version
#Check to see if the data will be uploaded to ecurep using FTP.
if test "${FTP_RESPONSE}" = ""; then
       if test "${WEBQRY_VERSION}" = ""; then
         echo "Which version of WebQuery do you wish to gather?  111, 112 or 210?"
         read WEBQRY_VERSION
       fi
echo "Will this $CURLOC/data/webquerycollector.zip file be uploaded to ecurep for a PMR? Y or N?"
read FTP_RESPONSE
echo "$FTP_RESPONSE"
fi

### Make FTP_RESPONSE uppercase
# - Change the user's response to all uppercase.
typeset -u FTP_RESPONSE=${FTP_RESPONSE}


# If this will be FTPed to ecurep, then PMR and EMAIL need to be entered 

if test "${FTP_RESPONSE}" = "Y"; then
if test "${PMR}" = ""; then
echo "Please enter your PMR number in the following format (ppppp.bbb.ccc where p=PMR Number, b=branch id, c=country code NOTE: For US customers the country code should be 000):"
read PMR
fi

if test "${EMAIL}" = ""; then
echo "Please enter your e-mail address. We will send you a confirmation within 1 hour to let you know that the file has arrived successfully"
read EMAIL
fi
fi

#Gather System Data
CollectSystemData
CollectData
gatherJoblogs
RunHealthCheck
ZipData
if test "${FTP_RESPONSE}" = "Y";
then
FtpData
fi

fi
