# Jan 29,2015 -Updated Template files for ARE
# Dec 10, 2014 -edited the liberty jar includes 
# Sept 30, 2014 -add system "rcldbxref *check"    
# May 28, 2014 fixed conf zip issue
# April 17, 2014 -Added R720 Section, edited admin2 conf zip
# March 5, 2014 -Added WRKOUTQ.txt
# Feb 4, 2014 -Added info for toolbox objects QSYS/QYJSPSCK, QSYS/QYJSPART, and QSYS/QYJSPCTU
# Nov 25, 2013 -Added /QIBM/UserData/OS/AdminInst/
# Oct 17, 2013 -Added dspjobtbl, dspipla 
# Sept 11, 2013 -Added several changes for QMGTOOLS. Data will now reside in <currentlocation>/data/httpadmincollector.zip
# July 3, 2012  added dspaut for mime.types
# June 5, 2012 added /tmp file authority
# Feb 20, 2012 added DSPSECAUD
# Dec 12, 2011 added DSPAUT.sh
# Nov 10, 2011 added QATMHINSTA
# Sept 14, integrated with httpAdminMENU.sh
# Sept 12, redirect standard error
# Sept 6, changed from gathering /QIBM/was/.ibm/.nif/.nifregistry  to /QIBM/was/.ibm/
# Aug 22, 2011 -Added /QIBM/UserData/InstallationManager/installed.xml
# Revised July 20 2011  Added scripts to gather ADMIN* joblogs
#New httpAdmincollector script that gathers data based on release R540, R610, R710 and produces an httpAdmincollector.zip file  05/04/2010

#########   Instructions for using httpAdmincollector.sh script   ###############
# 1. Create a directory on the i5, or use an existing directory, for example:   mkdir '/home/httpcollector'
# 2. Unzip contents of the httpAdmincollectTools.zip to the directory created, /home/httpcollector.
# 3. strqsh
# 4. cd /home/httpcollector
# 5. httpAdmincollector.sh <press enter>
# 6. You will be prompted to FTP to ecurep (IF JDK 6.0 exists)
# 7. When finished, it will create a /home/httpcollector/data/httpAdmincollector.zip file and send to ecurep
# 8. If JDK 6.0 is not installed, or there is a problem with java, then the resulting httpAdmincollector.zip file needs to sent to ecurep at  http://www.ecurep.ibm.com/app/upload
###############################################################################



#StartCollector


export ARE_FLAG=$1    
export FTP_RESPONSE=$2
export PMR=$3         
export EMAIL=$4       



# determine the OS version and then collects only the data specific to that version
RELEASE=`(uname -r) 2>/dev/null` || RELEASE=unknown
VERSION=`(uname -v) 2>/dev/null` || VERSION=unknown

CURLOC=`(pwd) 2>/dev/null`
mkdir ${CURLOC}/data 2>/dev/null

# Redirect Errors to /QIBM/UserData/HTTPA/Admin/logs/httpAdminScriptErrors.txt
exec 2>/QIBM/UserData/HTTPA/Admin/logs/httpAdminScriptErrors.txt

#echo "ARE_FLAG is ${ARE_FLAG}"

case $ARE_FLAG
    in
    [Aa][Ll][Ll]) ADMIN_RESPONSE="5";;
    [Aa][Dd][Mm][Ii][Nn][2]) ADMIN_RESPONSE="2";;
    [Aa][Dd][Mm][Ii][Nn][3]) ADMIN_RESPONSE="3";;
    [Aa][Dd][Mm][Ii][Nn][4]) ADMIN_RESPONSE="4";;
    [Nn][Oo][Nn][Ee]) ADMIN_RESPONSE="0";;
    *) ADMIN_RESPONSE="5";;
esac




#echo "FTP_RESPONSE is ${FTP_RESPONSE}"


if test "${FTP_RESPONSE}" = ""; then
echo "Will this httpAdmincollector.zip file be uploaded to ecurep for a PMR? (This requires JDK 6.0) Y or N?"
read FTP_RESPONSE
fi



### Make FTP_RESPONSE uppercase
if test ${FTP_RESPONSE} = "n"; then
export FTP_RESPONSE='N'
fi
if test ${FTP_RESPONSE} = "y"; then 
export FTP_RESPONSE='Y'
fi     
if test ${FTP_RESPONSE} = " "; then
export FTP_RESPONSE='N'
fi
                                                            
  
 
# If this will be FTPed to ecurep, then PMR and EMAIL need to be entered 
if test ${FTP_RESPONSE} = "Y"; then                                                                  
if test "${PMR}" = ""; then
echo "Please enter your PMR number in the following format (ppppp.bbb.ccc where p=PMR Number, b=branch id, c=country code NOTE: For US customers the country code should be 000):"
read PMR
fi

if test "${EMAIL}" = ""; then
echo "Please enter your e-mail address. We will send you a confirmation within 1 hour to let you know that the file has arrived successfully"
read EMAIL
fi
fi


#echo "This script may throw several errors.  This is normal."


# Create the collectorfiles directory first
mkdir -p /QIBM/UserData/httpa/admin/logs/collectorfiles/



touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/osversion.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/dspptf.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/dspsfwrsc.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK50QIBMHello.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK60QIBMHello.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK70QIBMHello.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/QPropDump.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/cfgtcpopt10.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/cfgtcpopt12.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/httpadminfilelist.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/lwisvrauthority.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/lwisvrauthlist.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/sharedauth.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/lwiauth.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/wrkactjob.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/wrksysval.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptOPSYS.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptJV1.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptDG1.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/osgiaut.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/export.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/qtmhhttp.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/qlwisvr.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/qejbsvr.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/qwebadmin.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/lsoutput.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/FileServerRegInfo.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/wrksyssts.txt   
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/lsOSGiApps.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/querywasinstalls.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/qatmhinstcAllMembers.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/QATMHINSTA.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/RootAttributes.txt   
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/MacroFileList.txt 
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/scpfJoblog.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/cfgtcpOpt1.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ServiceDBPorts.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/PreHealthCheck.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/QLWIRADM.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/QLWIRADMAuthority.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIRRAuthority.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIURAuthority.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIRRDisplay.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIURDisplay.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/JPingOutput.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/QHTTPSVR.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/dspsecaud.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/tmpDirAuthority.txt
touch -C 1252 /QIBM/UserData/HTTPA/Admin/logs/httpAdminZIPOutput.txt
touch -C 1252 /QIBM/UserData/HTTPA/Admin/logs/httpAdminScriptErrors.txt
touch -C 1252 /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/DSPJOBTBL.txt
touch -C 1252 /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/DSPIPLA.txt
touch -C 1252 /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt
touch -C 1252 /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JT400Listings.txt
touch -C 1252 /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JAVAEXTListing.txt
touch -C 1252 /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/WRKOUTQ.txt
touch -C 1252 /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/DBXREFCHECK.txt

#Uncomment the set below to enable debug
#set -xv
echo "Initiating httpAdmincollector.sh script"
echo " "


echo "Step 1 of 11: Listing contents of selected IFS directories"

# LIST CONTENTS OF SELECTED IFS DIRECTORIES
ls -laRS  /QIBM/UserData/httpa > /QIBM/UserData/httpa/admin/logs/collectorfiles/httpadminfilelist.txt

echo "ls -laRS /QIBM/ProdData/HTTPSVR/Macro" > /QIBM/UserData/httpa/admin/logs/collectorfiles/MacroFileList.txt
ls -laRS /QIBM/ProdData/HTTPSVR/Macro >> /QIBM/UserData/httpa/admin/logs/collectorfiles/MacroFileList.txt
echo "ls -laRS /qibm/proddata/os400/MRI2924/Macro" >> /QIBM/UserData/httpa/admin/logs/collectorfiles/MacroFileList.txt
ls -laRS /qibm/proddata/os400/MRI2924/Macro >> /QIBM/UserData/httpa/admin/logs/collectorfiles/MacroFileList.txt
echo "ls -laRS /qibm/proddata/http/Protect/OS400/macro" >> /QIBM/UserData/httpa/admin/logs/collectorfiles/MacroFileList.txt
ls -laRS /qibm/proddata/http/Protect/OS400/macro >> /QIBM/UserData/httpa/admin/logs/collectorfiles/MacroFileList.txt

ls -laRS /QIBM/UserData/OS/OSGi/LWISysInst/ > /QIBM/UserData/httpa/admin/logs/collectorfiles/osgiaut.txt
echo "ls -l /lib" >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsoutput.txt
ls -l /lib >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsoutput.txt
echo "ls -l /bin" >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsoutput.txt
ls -l /bin >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsoutput.txt
echo "ls -l /usr/bin" >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsoutput.txt
ls -l /usr/bin >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsoutput.txt
echo "ls -l /usr/lib" >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsoutput.txt
ls -l /usr/lib >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsoutput.txt
ls -laRS /QIBM/ProdData/OS/OSGi/apps > /QIBM/UserData/httpa/admin/logs/collectorfiles/lsOSGiApps.txt
echo "ls -laRS  /QIBM/ProdData/HTTPA/Admin/Bundles" >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsOSGiApps.txt
ls -laRS /QIBM/ProdData/HTTPA/Admin/Bundles >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsOSGiApps.txt
echo "ls -laS /QIBM/ProdData/OS/OSGi/shared"  >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsOSGiApps.txt
ls -laS /QIBM/ProdData/OS/OSGi/shared >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsOSGiApps.txt
echo "ls -laS /QIBM/ProdData/OS/OSGi/shared/lib"  >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsOSGiApps.txt
ls -laS /QIBM/ProdData/OS/OSGi/shared/lib >> /QIBM/UserData/httpa/admin/logs/collectorfiles/lsOSGiApps.txt


echo "ls -laR /qibm/proddata/java400/ext" > /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JAVAEXTListing.txt
ls -laR /qibm/proddata/java400/ext >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JAVAEXTListing.txt
echo "ls -laR /qibm/UserData/java400/ext" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JAVAEXTListing.txt
ls -laR /qibm/Userdata/java400/ext >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JAVAEXTListing.txt
echo "ls -laR /qibm/ProdData/http/public/jt400/lib" > /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JT400Listings.txt
ls -laR /qibm/proddata/http/public/jt400/lib >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JT400Listings.txt
echo "ls -laR /qibm/proddata/os400/jt400/lib" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JT400Listings.txt 
ls -laR /QIBM/ProdData/OS400/jt400/lib >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/JT400Listings.txt




echo "Step 2 of 11: Gathering PTF, WRKACTJOB, DSPSFWRSC, WRKSYSSTS  "
#Spool out dspptf, dspsfwrsc, wrkactjob, wrksysval, wrksyssts to .txt files
system dspptf > /QIBM/UserData/httpa/admin/logs/collectorfiles/dspptf.txt    
system dspsfwrsc > /QIBM/UserData/httpa/admin/logs/collectorfiles/dspsfwrsc.txt
system wrkactjob > /QIBM/UserData/httpa/admin/logs/collectorfiles/wrkactjob.txt
system wrksysval > /QIBM/UserData/httpa/admin/logs/collectorfiles/wrksysval.txt
system "WRKSYSSTS" > /QIBM/UserData/httpa/admin/logs/collectorfiles/wrksyssts.txt 
system "DSPJOBTBL" > /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/DSPJOBTBL.txt
system "DSPIPLA" > /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/DSPIPLA.txt
system "WRKOUTQ" > /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/WRKOUTQ.txt
system "rcldbxref *check" > /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/DBXREFCHECK.txt

echo "Step 3 of 11: Gathering TCP Configuration Data"

#DISPLAY TCP CONFIGURATION
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOChost hosts) TOSTMF('/QIBM/UserData/httpa/admin/logs/collectorfiles/cfgtcpopt10.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCtcpip config) TOSTMF('/QIBM/UserData/httpa/admin/logs/collectorfiles/cfgtcpopt12.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCIFC INTERFACES) TOSTMF('/QIBM/UserData/httpa/admin/logs/collectorfiles/cfgtcpOpt1.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCPS SERVICES) TOSTMF('/QIBM/UserData/httpa/admin/logs/collectorfiles/ServiceDBPorts.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"


echo "Step 4 of 11: Gathering authority files"
#DISPLAY AUTHORITY FOR SELECTED IFS AND OBJECTS
cd /QIBM/UserData/httpa/admin/logs/collectorfiles
system "DSPOBJAUT OBJ(QSYS/QLWISVR) OBJTYPE(*PGM)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/lwisvrauthority.txt
system "DSPAUTL AUTL(QLWISVR)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/lwisvrauthlist.txt
system "DSPAUT OBJ('/QIBM/ProdData/OS/OSGi/shared')" > /QIBM/UserData/httpa/admin/logs/collectorfiles/sharedauth.txt
system "DSPAUT OBJ('/QIBM/ProdData/HTTP/Admin/lwi')" > /QIBM/UserData/httpa/admin/logs/collectorfiles/lwiauth.txt
system "DSPAUT OBJ('/')" > /QIBM/UserData/httpa/admin/logs/collectorfiles/tmpDirAuthority.txt
system "DSPAUT OBJ('/tmp')" >> /QIBM/UserData/httpa/admin/logs/collectorfiles/tmpDirAuthority.txt
system "DSPOBJAUT OBJ(QSYS/QYJSPSCK) OBJTYPE(*SRVPGM)" > /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt
system "DSPOBJAUT OBJ(QSYS/QYJSPART) OBJTYPE(*SRVPGM)" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt
system "DSPOBJAUT OBJ(QSYS/QYJSPCTU) OBJTYPE(*PGM)" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt


$CURLOC/DSPAUT.sh /qibm/userdata/httpa/admin/conf/admin-cust.conf
$CURLOC/DSPAUT.sh /qibm/userdata/httpa/admin/logs/
$CURLOC/DSPAUT.sh /qibm/userdata/httpa/conf/mime.types

#DISPLAY SERVICE SELECTED SERVICE PROGRAMS
system "DSPSRVPGM SRVPGM(QSYS/QYJSPART)" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt
system "DSPSRVPGM SRVPGM(QSYS/QYJSPSCK)" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt
system "DSPPGM PGM(QSYS/QYJSPCTU)" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt

#DISPLAY OBJECT DESCRIPTIONS for Selected SERVICE PROGRAMS
system "DSPOBJD OBJ(QSYS/QYJSPART) OBJTYPE(*SRVPGM) DETAIL(*SERVICE)" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt
system "DSPOBJD OBJ(QSYS/QYJSPSCK) OBJTYPE(*SRVPGM) DETAIL(*SERVICE)" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt
system "DSPOBJD OBJ(QSYS/QYJSPCTU) OBJTYPE(*PGM) DETAIL(*SERVICE)" >> /QIBM/UserData/HTTPA/Admin/logs/collectorfiles/ToolboxPGMInfo.txt


 


system  "DSPSECAUD OUTPUT(*PRINT)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/dspsecaud.txt


echo "Step 5 of 11: Testing host servers.  Running prehealthchecker"
#TEST Host Servers status (similar to cwbping)
echo "Testing Host Servers with JPing" > /QIBM/UserData/httpa/admin/logs/collectorfiles/JPingOutput.txt

java -cp /qibm/proddata/http/Public/jt400/lib/jt400.jar  utilities.JPing localhost -verbose >> /QIBM/UserData/httpa/admin/logs/collectorfiles/JPingOutput.txt

#Run PreHealthChecker
system "QSYS/CALL PGM(QSYS/QHCRPRECHK)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/PreHealthCheck.txt




echo "Step 6 of 11: Running chkprdopt, Application Runtime Expert, testing Java.  This step will take several minutes."
VRM="unknown"
if [ "$VERSION" = "5" ] && [ "$RELEASE" = "4" ]
then
	VRM="V5R4"
system "CHKPRDOPT PRDID(*OPSYS)" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptOPSYS.txt
system "chkprdopt 5722JV1" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5722DG1" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptDG1.txt	

#TEST JAVA
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK14ClassicHello.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/PropDump.txt
java -Djava.version=1.4 -showversion Hello > /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK14ClassicHello.txt  2> /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK14ClassicHello.txt
java -Djava.version=1.4 PropDump > /QIBM/UserData/httpa/admin/logs/collectorfiles/PropDump.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  -showversion QIBMHello > /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK50QIBMHello.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK50QIBMHello.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  QPropDump > /QIBM/UserData/httpa/admin/logs/collectorfiles/QPropDump.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/QPropDump.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin/java  -showversion QIBMHello > /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK60QIBMHello.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK60QIBMHello.txt



#Run Healthcheck, bundlestatus for Admin, Admin2, Admin3, Admin4
cd /QIBM/UserData/httpa/admin/logs/collectorfiles
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt


if test ${ADMIN_RESPONSE} -ne " "; then
/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin2 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null
fi

# Gather Bundle status
export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit 
export PATH=/usr/bin:.:/QOpensys/usr/bin 
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt
export JAVA_HOME=''	
##End of R540 specific collection
	
	
elif [ "$VERSION" = "6" ] && [ "$RELEASE" = "1" ]
then
	VRM="V6R1"
system "CHKPRDOPT PRDID(*OPSYS)" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptOPSYS.txt
system "chkprdopt 5761JV1" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5761DG1" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptDG1.txt
#Run Healthcheck, bundlestatus for Admin, Admin2, Admin3, Admin4
cd /QIBM/UserData/httpa/admin/logs/collectorfiles
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdminBundleStatus.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin3BundleStatus.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin4BundleStatus.txt



touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMINhcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt

# Check ADMIN_RESPONSE to determine which admin jobs the healthcheck is run for

if test ${ADMIN_RESPONSE} = "5"; then
echo "Running ARE for all Admin servers"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMINhcReport.txt >/dev/null
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin2 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin3 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt >/dev/null
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin4 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R610IASTemplate.jar -property ias.instance.name=ADMIN2 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "4"; then
echo "Running ARE for ADMIN4"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin4 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R610IASTemplate.jar -property ias.instance.name=ADMIN4 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "3"; then
echo "Running ARE for ADMIN3"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin3 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R610IASTemplate.jar -property ias.instance.name=ADMIN3 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "2"; then
echo "Running ARE for ADMIN2"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin2 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R610IASTemplate.jar -property ias.instance.name=ADMIN2 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "1"; then
echo "Running ARE for ADMIN"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMINhcReport.txt >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R610IASTemplate.jar -property ias.instance.name=ADMIN1 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN1hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "0"; then
echo "Electing not to run Application Runtime Expert"
fi

#TEST JAVA
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  -showversion QIBMHello > /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK50QIBMHello.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK50QIBMHello.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  QPropDump > /QIBM/UserData/httpa/admin/logs/collectorfiles/QPropDump.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/QPropDump.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin/java  -showversion QIBMHello > /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK60QIBMHello.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK60QIBMHello.txt


# Query Bundle Status
export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit
export PATH=/usr/bin:.:/QOpensys/usr/bin 
/QIBM/UserData/OS/OSGi/LWISysInst/admin/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdminBundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdminBundleStatus.txt
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt
/QIBM/UserData/OS/OSGi/LWISysInst/admin3/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin3BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin3BundleStatus.txt
/QIBM/UserData/OS/OSGi/LWISysInst/admin4/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin4BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin4BundleStatus.txt

export JAVA_HOME=''
##End of R610 specific collection



elif [ "$VERSION" = "7" ] && [ "$RELEASE" = "1" ]
then
	VRM="V7R1"
system "CHKPRDOPT PRDID(*OPSYS)" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptOPSYS.txt
system "chkprdopt 5761JV1" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5770DG1" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptDG1.txt	

#Run Healthcheck, bundlestatus for Admin1, Admin2, Admin3, Admin4
cd /QIBM/UserData/httpa/admin/logs/collectorfiles
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN1hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin1BundleStatus.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin3BundleStatus.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin4BundleStatus.txt

# RUN ARE based on ADMIN_RESPONSE
if test ${ADMIN_RESPONSE} = "5"; then
echo "Running ARE for all Admin servers"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN1hcReport.txt  >/dev/null
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin2 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin3 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt  >/dev/null
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin4 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt  >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R710IASTemplate.jar -property ias.instance.name=ADMIN2 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "4"; then
echo "Running ARE for ADMIN4"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin4 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt   >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R710IASTemplate.jar -property ias.instance.name=ADMIN4 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "3"; then
echo "Running ARE for ADMIN3"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin3 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt  >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R710IASTemplate.jar -property ias.instance.name=ADMIN3 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "2"; then
echo "Running ARE for ADMIN2"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin2 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt  >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R710IASTemplate.jar -property ias.instance.name=ADMIN2 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "1"; then
echo "Running ARE for ADMIN1"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN1hcReport.txt  >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R710IASTemplate.jar -property ias.instance.name=ADMIN1 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN1hcReport.txt >/dev/null                                                    
elif test ${ADMIN_RESPONSE} = "0"; then
echo "Electing not to run Application Runtime Expert"
fi


#TEST JAVA
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  -showversion QIBMHello > /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK50QIBMHello.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK50QIBMHello.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  QPropDump > /QIBM/UserData/httpa/admin/logs/collectorfiles/QPropDump.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/QPropDump.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin/java  -showversion QIBMHello > /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK60QIBMHello.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK60QIBMHello.txt


# Query Bundle Status
export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit
export PATH=/usr/bin:.:/QOpensys/usr/bin 
/QIBM/UserData/OS/OSGi/LWISysInst/admin/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin1BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin1BundleStatus.txt
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt
/QIBM/UserData/OS/OSGi/LWISysInst/admin3/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin3BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin3BundleStatus.txt
/QIBM/UserData/OS/OSGi/LWISysInst/admin4/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin4BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin4BundleStatus.txt

export JAVA_HOME=''
##End of R710 specific collection

##START OF R720 Specific collection### WORK IN PROGRESS#######
elif [ "$VERSION" = "7" ] && [ "$RELEASE" = "2" ]
then
	VRM="V7R2"
system "CHKPRDOPT PRDID(*OPSYS)" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptOPSYS.txt
system "chkprdopt 5770JV1" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5770DG1" 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/chkprdoptDG1.txt	

#Run Healthcheck, bundlestatus for Admin1, Admin2, Admin3, Admin4
cd /QIBM/UserData/httpa/admin/logs/collectorfiles
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN1hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin1BundleStatus.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin3BundleStatus.txt
touch -C 1252 /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin4BundleStatus.txt

# RUN ARE based on ADMIN_RESPONSE
if test ${ADMIN_RESPONSE} = "5"; then
echo "Running ARE for all Admin servers"
#COMMENTING OUT ADMIN AND ADMIN4 until they have a proper template  
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN1hcReport.txt  >/dev/null
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin2 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin3 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt  >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R720IASTemplate.jar -property ias.instance.name=ADMIN2 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null                                                    
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin4 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt  >/dev/null
elif test ${ADMIN_RESPONSE} = "4"; then
echo "Running ARE for ADMIN4"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin4 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt   >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R720IASTemplate.jar -property ias.instance.name=ADMIN4 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN4hcReport.txt >/dev/null                                                    

elif test ${ADMIN_RESPONSE} = "3"; then
echo "Running ARE for ADMIN3"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin3 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt  >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R720IASTemplate.jar -property ias.instance.name=ADMIN3 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN3hcReport.txt >/dev/null                                                    

elif test ${ADMIN_RESPONSE} = "2"; then
echo "Running ARE for ADMIN2"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin2 /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt  >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R720IASTemplate.jar -property ias.instance.name=ADMIN2 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN2hcReport.txt >/dev/null
elif test ${ADMIN_RESPONSE} = "1"; then
echo "Running ARE for ADMIN1"
#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh admin /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN1hcReport.txt  >/dev/null
/QIBM/ProdData/OS/OSGi/healthcheck/bin/runARE.sh  -template ${CURLOC}/AREtemplates/R720IASTemplate.jar -property ias.instance.name=ADMIN1 -outFile /QIBM/UserData/httpa/admin/logs/collectorfiles/ADMIN1hcReport.txt >/dev/null
elif test ${ADMIN_RESPONSE} = "0"; then
echo "Electing not to run Application Runtime Expert"
fi


#TEST JAVA
/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin/java  -showversion QIBMHello > /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK60QIBMHello.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK60QIBMHello.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin/java  QPropDump > /QIBM/UserData/httpa/admin/logs/collectorfiles/QPropDump.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/QPropDump.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk70/32bit/bin/java  -showversion QIBMHello > /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK70QIBMHello.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/JDK70QIBMHello.txt


# Query Bundle Status
export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit
export PATH=/usr/bin:.:/QOpensys/usr/bin 
/QIBM/UserData/OS/OSGi/LWISysInst/admin/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin1BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin1BundleStatus.txt
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin2BundleStatus.txt
/QIBM/UserData/OS/OSGi/LWISysInst/admin3/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin3BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin3BundleStatus.txt
/QIBM/UserData/OS/OSGi/LWISysInst/admin4/lwi/bin/lwiplugin.sh -status > /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin4BundleStatus.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/LWIAdmin4BundleStatus.txt

export JAVA_HOME=''
##### END OF V7R2 specifid DATA COLLECTION#####

fi

echo $VRM > /QIBM/UserData/httpa/admin/logs/collectorfiles/osversion.txt

system "WRKREGINF EXITPNT(QIBM_QPWFS_FILE_SERV)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/FileServerRegInfo.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/FileServerRegInfo.txt
        

export > /QIBM/UserData/httpa/admin/logs/collectorfiles/export.txt

echo "Step 7 of 11: DSPUSRPRF for QTMHHTTP, QLWISVR, QEJBSVR, QWEBADMIN"

#Display user profile QTMHHTTP, QLWISVR, QEJBSVR and QWEBADMIN
system "DSPUSRPRF USRPRF(QTMHHTTP) TYPE(*BASIC)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/qtmhhttp.txt
system "DSPUSRPRF USRPRF(QLWISVR) TYPE(*BASIC)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/qlwisvr.txt
system "DSPUSRPRF USRPRF(QEJBSVR) TYPE(*BASIC)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/qejbsvr.txt
system "DSPUSRPRF USRPRF(QWEBADMIN) TYPE(*BASIC)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/qwebadmin.txt
system "DSPSBSD QHTTPSVR/QHTTPSVR" > /QIBM/UserData/httpa/admin/logs/collectorfiles/QHTTPSVR.txt
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMHINSTA *ALL) TOSTMF('/QIBM/UserData/httpa/admin/logs/collectorfiles/QATMHINSTA.txt') MBROPT(*REPLACE) RCDDLM(*LFCR)"                                                    
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMHINSTC *ALL) TOSTMF('/QIBM/UserData/httpa/admin/logs/collectorfiles/qatmhinstcAllMembers.txt') MBROPT(*REPLACE) RCDDLM(*LFCR)"                                                    
system "DSPLNK OBJ('/') OUTPUT(*PRINT) OBJTYPE(*ALL) DETAIL(*EXTENDED) DSPOPT(*ALL)"   > /QIBM/UserData/httpa/admin/logs/collectorfiles/RootAttributes.txt     
system "DSPJOBLOG JOB(000000/QSYS/SCPF) OUTPUT(*PRINT)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/scpfJoblog.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/scpfJoblog.txt


echo "Step 8 of 11: Display authority for Role files"
##Display authority for Role files

system "DSPLIB QLWIRADM" > /QIBM/UserData/httpa/admin/logs/collectorfiles/QLWIRADM.txt 
system "DSPOBJAUT OBJ(QLWIRADM) OBJTYPE(*LIB)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/QLWIRADMAuthority.txt
system "DSPOBJAUT OBJ(QLWIRADM/QALWIRR) OBJTYPE(*FILE)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIRRAuthority.txt  
system "DSPOBJAUT OBJ(QLWIRADM/QALWIUR) OBJTYPE(*FILE)" > /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIURAuthority.txt  

##Query the role files
system "RUNQRY QRYFILE((QLWIRADM/QALWIRR))" > /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIRRDisplay.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIRRDisplay.txt 
system "RUNQRY QRYFILE((QLWIRADM/QALWIUR))" > /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIURDisplay.txt  2> /QIBM/UserData/httpa/admin/logs/collectorfiles/QALWIURDisplay.txt


echo "Step 9 of 11: Query Websphere installs"
#QUERY Websphere Installs
/QIBM/was/bin/querywasinstalls > /QIBM/UserData/httpa/admin/logs/collectorfiles/querywasinstalls.txt 2> /QIBM/UserData/httpa/admin/logs/collectorfiles/querywasinstalls.txt



echo "Step 10 of 11: Gathering joblogs for Admin* jobs."                                                                      
# GATHER ADMIN* JOBLOGS in OUTQ and ACTIVE
$CURLOC/AdminJoblogOutq.sh &
$CURLOC/AdminJoblogToTxt.sh &

sleep 60    #Sleep for 60 seconds to allow joblog gather asynchronously.



echo "Step 11 of 11:  Zipping data to httpAdminCollector.zip"
#ZIP up everything into httpAdmincollector.zip

jar cvf $CURLOC/data/httpAdmincollector.zip \
/etc/profile \
/etc/resolv.conf \
/etc/netsvc.conf \
/QIBM/ProdData/HTTPA/admin/conf \
/QIBM/ProdData/HTTPSVR/Macro \
/QIBM/ProdData/OS/OSGi/LWI71/logs \
/QIBM/ProdData/OS/OSGi/registry/ \
/QIBM/ProdData/OS/OSGi/LWI71/version.properties \
/QIBM/ProdData/OS/OSGi/LWI71/conf \
/QIBM/ProdData/OS/OSGi/LWI81/logs \
/QIBM/ProdData/OS/OSGi/LWI81/conf \
/QIBM/ProdData/OS/OSGi/LWI81/version.properties \
/QIBM/ProdData/OS/OSGi/LWISysInst \
/QIBM/UserData/HTTPA/admin/conf \
/QIBM/UserData/HTTPA/admin/logs \
/QIBM/UserData/HTTPA/LWI/conf/admin \
/QIBM/UserData/java400/SystemDefault.properties  \
/QIBM/UserData/OS/OSGi/LWISysInst/admin/lwi/bin \
/QIBM/UserData/OS/OSGi/LWISysInst/admin/lwi/logs \
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/conf/*.properties \
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/conf/.settings \
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/conf/admin \
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/conf/overrides \
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/conf/sslconfig \
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/version.properties \
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/bin \
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/logs \
/QIBM/UserData/OS/OSGi/LWISysInst/admin2/lwi/runtime/core/javacore.*  \
/QIBM/UserData/OS/OSGi/LWISysInst/admin3/lwi/bin \
/QIBM/UserData/OS/OSGi/LWISysInst/admin3/lwi/logs  \
/QIBM/UserData/OS/OSGi/LWISysInst/admin3/lwi/runtime/core/javacore.*  \
/QIBM/UserData/OS/OSGi/LWISysInst/admin4/conf \
/QIBM/UserData/OS/OSGi/LWISysInst/admin4/lwi/bin  \
/QIBM/UserData/OS/OSGi/LWISysInst/admin4/lwi/conf \
/QIBM/UserData/OS/OSGi/LWISysInst/admin4/lwi/logs \
/QIBM/UserData/OS/OSGi/LWISysInst/admin4/lwi/runtime/core/javacore.*  \
/QIBM/UserData/OS/AdminInst/admin1/conf \
/QIBM/UserData/OS/AdminInst/admin1/wlp/usr/servers/admin1/logs \
/QIBM/UserData/OS/AdminInst/admin1/wlp/usr/servers/admin1/jvm.options \
/QIBM/UserData/OS/AdminInst/admin1/wlp/usr/servers/admin1/bootstrap.properties \
/QIBM/UserData/OS/AdminInst/admin1/wlp/usr/servers/admin1/server.env \
/QIBM/UserData/OS/AdminInst/admin1/wlp/usr/servers/admin1/server.xml \
/QIBM/UserData/OS/AdminInst/admin1/wlp/usr/servers/admin1/javacore.* \
/QIBM/UserData/OS/AdminInst/admin4/wlp/usr/servers/admin4/logs \
/QIBM/UserData/OS/AdminInst/admin4/wlp/usr/servers/admin4/jvm.options \
/QIBM/UserData/OS/AdminInst/admin4/wlp/usr/servers/admin4/bootstrap.properties \
/QIBM/UserData/OS/AdminInst/admin4/wlp/usr/servers/admin4/server.env \
/QIBM/UserData/OS/AdminInst/admin4/wlp/usr/servers/admin4/server.xml \
/QIBM/UserData/OS/AdminInst/admin4/wlp/usr/servers/admin4/javacore.* \
/QIBM/UserData/OS/AdminInst/admin5/wlp/usr/servers/admin5/logs \
/QIBM/UserData/OS/AdminInst/admin5/wlp/usr/servers/admin5/jvm.options \
/QIBM/UserData/OS/AdminInst/admin5/wlp/usr/servers/admin5/bootstrap.properties \
/QIBM/UserData/OS/AdminInst/admin5/wlp/usr/servers/admin5/server.env \
/QIBM/UserData/OS/AdminInst/admin5/wlp/usr/servers/admin5/server.xml \
/QIBM/UserData/OS/AdminInst/admin5/wlp/usr/servers/admin5/javacore.* \
/QIBM/UserData/OS/OSGi/registry/ \
/QIBM/UserData/OS400/Ipp/ \
/QIBM/ProdData/OS400/Ipp/ \
/QIBM/ProdData/OS400/CollectionServices/lib/System.xml \
/QIBM/UserData/InstallationManager/installed.xml \
/QIBM/was/.ibm/ \
/QIBM/UserData/OS400/TCPIP/QTOCHOSTS  >> /QIBM/UserData/HTTPA/Admin/logs/httpAdminZIPOutput.txt







# TESTS to see if file needs to be FTPed, then tests to see if it has the required JDK 6.0 to do the FTP
if test ${FTP_RESPONSE} = "Y"; then
if test -e "/qibm/proddata/java400/jdk6"  ||  test -e  "/QOpenSys/QIBM/ProdData/JavaVM/jdk60"; then     
if test -e $CURLOC/data/httpAdmincollector.zip; then
if test -e $CURLOC/ibmsdduu.jar; then
echo "We will now attempt to send it to service for analysis..."
if test -e "/QOpenSys/QIBM/ProdData/JavaVM/jdk60"; then                          
export JDK6_PATH=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin
else
export JDK6_PATH=/qibm/proddata/java400/jdk6/bin
fi

${JDK6_PATH}/java  -cp .:$CURLOC/ibmsdduu.jar ibmsdduu.cmd -email=${EMAIL} -pmr -id=${PMR} -compress -encrypt $CURLOC/data/httpAdmincollector.zip

else

echo "Unable to send the file.  Please send the $CURLOC/data/httpAdmincollector.zip "
echo "to this website: http://www.ecurep.ibm.com/app/upload"
fi
else
echo "There is a problem with the jar function, unable to create the httpAdmincollector.zip file"
fi
else
echo "JDK 6.0 is not installed, please upload $CURLOC/data/httpAdmincollector.zip" 
echo "to this website:  http://www.ecurep.ibm.com/app/upload"
fi
else
echo "Please send the $CURLOC/data/httpAdmincollector.zip to this website:"
echo "http://www.ecurep.ibm.com/app/upload"
fi

#echo "check if FTP_RESPONSE is set to N"

if test ${FTP_RESPONSE} = "N"; then
if test -e $CURLOC/data/httpAdmincollector.zip; then
echo "Please send $CURLOC/data/httpAdmincollector.zip to this website: "
echo "http://www.ecurep.ibm.com/app/upload"
else
echo "There is a problem with the jar function, unable to create the $CURLOC/data/httpAdmincollector.zip file"
fi
fi
