# Revised 8/13/2014 for iseries access for web
# Revised 8/26/2013 Support for MGTOOLS, ECUREP FTP
# Revised 5/1/2013  Add support for non-conforming paths (ie. IBMARE, QIPPSVR & QIWIRELESS)
# Revised 5/4/2011  Added mkdir -p
#revised Feb 17, 2011.  changed location of zip file to use current location
# Revised Oct 14, 2010. Added areVerify.sh
# Revised Aug 11, 2010.   Fixed bug with creating collectorfiles directory
#Added QWSERVICE user profile
#Made release changes for R710, R610, R540   05/04/2010
#Revised Date March 12, 2010 -Fixed issue with lwihealth.sh script

#Simple script to jar up web query log files as well as config
export LWI_INSTANCE=$1

export FTP_RESPONSE=$2
export PMR_NUMBER=$3
export EMAIL_ADDR=$4

if test "${LWI_INSTANCE}" = ""; then
echo "Please enter the name of the LWI Server Instance"
read LWI_INSTANCE
fi

# determines the current location
CURLOC=`(pwd) 2>/dev/null`
mkdir ${CURLOC}/data 2>/dev/null

# determine the OS version and then collects only the data specific to that version
RELEASE=`(uname -r) 2>/dev/null` || RELEASE=unknown
VERSION=`(uname -v) 2>/dev/null` || VERSION=unknown
VRM="unknown"

#Check to see if LWI profile exists. Need to check different file based on OS Version
#f test "${VERSION}" = "6"; then
#rep -i $LWI_INSTANCE: /qibm/userdata/os/osgi/registry/registry.data >/dev/null 2>/dev/null
#
#f test "${?}" = "0"; then
#cho "${LWI_INSTANCE} exists.  Gathering collector data."
#lse
#cho "This is an invalid instance.  Please specify a valid LWI Instance Name"
#xit
#i
#lse
#
#f test "${VERSION}" = "7"; then
#
#rep -Fix NAME=$LWI_INSTANCE /qibm/userdata/os/osgi/registry/iasregistry.data >/dev/null 2>/dev/null
#f test "${?}" = "0"; then
#cho "${LWI_INSTANCE} exists.  Gathering collector data."
#lse
#cho "This is an invalid instance.  Please specify a valid LWI Instance Name"
#xit
#i
#i
#i


#set path to server's logs path as well as the path to the httpd.conf file
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMHINSTC ${LWI_INSTANCE}) TOSTMF('/${CURLOC}/${LWI_INSTANCE}.txt') MBROPT(*REPLACE) RCDDLM(*LFCR)" 2>/dev/null                                                      
THEPATH=`cut -d " " -f 3 /${CURLOC}/${LWI_INSTANCE}.txt 2>/dev/null`
LOGPATH=$THEPATH/logs
THECONF=$THEPATH/`cut -d " " -f 5 /${CURLOC}/${LWI_INSTANCE}.txt 2>/dev/null`




if test -e ${LOGPATH}/collectorfiles; then
	rm -rf ${LOGPATH}/collectorfiles
fi
mkdir -p ${LOGPATH}/collectorfiles

# Redirect Errors to ${LOGPATH}/lwicollectorScriptErrors.txt
exec 2>${LOGPATH}/lwicollectorScriptErrors.txt


#Create .txt files with proper CCSID
touch -C 1252 ${LOGPATH}/collectorfiles/dspptf.txt
touch -C 1252 ${LOGPATH}/collectorfiles/dspsfwrsc.txt
touch -C 1252 ${LOGPATH}/collectorfiles/JDK50QIBMHello.txt
touch -C 1252 ${LOGPATH}/collectorfiles/JDK60QIBMHello.txt
touch -C 1252 ${LOGPATH}/collectorfiles/cfgtcpopt10.txt
touch -C 1252 ${LOGPATH}/collectorfiles/cfgtcpopt12.txt
touch -C 1252 ${LOGPATH}/collectorfiles/${LWI_INSTANCE}filelist.txt
touch -C 1252 ${LOGPATH}/collectorfiles/lwisvrauthority.txt
touch -C 1252 ${LOGPATH}/collectorfiles/lwisvrauthlist.txt
touch -C 1252 ${LOGPATH}/collectorfiles/sharedauth.txt
touch -C 1252 ${LOGPATH}/collectorfiles/lwiauth.txt
touch -C 1252 ${LOGPATH}/collectorfiles/wrkactjob.txt
touch -C 1252 ${LOGPATH}/collectorfiles/wrksysval.txt
touch -C 1252 ${LOGPATH}/collectorfiles/chkprdoptSS1Opt33.txt
touch -C 1252 ${LOGPATH}/collectorfiles/chkprdoptSS1Opt3.txt
touch -C 1252 ${LOGPATH}/collectorfiles/chkprdoptJV1.txt
touch -C 1252 ${LOGPATH}/collectorfiles/chkprdoptDG1.txt
touch -C 1252 ${LOGPATH}/collectorfiles/${LWI_INSTANCE}HealthCheck.txt
touch -C 1252 ${LOGPATH}/collectorfiles/${LWI_INSTANCE}BundleStatus.txt
touch -C 1252 ${LOGPATH}/collectorfiles/qatmhinstcAllMembers.txt
touch -C 1252 ${LOGPATH}/collectorfiles/IncludeOutput.txt
touch -C 1252 ${LOGPATH}/collectorfiles/chghttpa.txt
touch -C 1252 ${LOGPATH}/collectorfiles/QWSERVICEProfile.txt
touch -C 1252 ${LOGPATH}/collectorfiles/DSPJOBTBL.txt
touch -C 1252 ${LOGPATH}/collectorfiles/DSPIPLA.txt


ls -laR  ${THEPATH} > ${LOGPATH}/collectorfiles/${LWI_INSTANCE}filelist.txt

echo "Step 1 of 5.  Gathering DSPPTF, DSPSFWRSC, WRKACTJOB, WRKSYSVAL,"
echo "              DSPUSRPRF, CFGTCP"

system dspptf > ${LOGPATH}/collectorfiles/dspptf.txt    
system dspsfwrsc > ${LOGPATH}/collectorfiles/dspsfwrsc.txt
system wrkactjob > ${LOGPATH}/collectorfiles/wrkactjob.txt
system wrksysval > ${LOGPATH}/collectorfiles/wrksysval.txt
system "DSPUSRPRF USRPRF(QWSERVICE)" > ${LOGPATH}/collectorfiles/QWSERVICEProfile.txt
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOChost hosts) TOSTMF('${LOGPATH}/collectorfiles/cfgtcpopt10.txt') RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCtcpip config) TOSTMF('${LOGPATH}/collectorfiles/cfgtcpopt12.txt') RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "DSPOBJAUT OBJ(QSYS/QLWISVR) OBJTYPE(*PGM)" > ${LOGPATH}/collectorfiles/lwisvrauthority.txt 
system "DSPAUTL AUTL(QLWISVR)" > ${LOGPATH}/collectorfiles/lwisvrauthlist.txt
system "DSPAUT OBJ('/qibm/proddata/os/osgi/shared')" > ${LOGPATH}/collectorfiles/sharedauth.txt
system "DSPAUT OBJ('/QIBM/ProdData/HTTP/Admin/lwi')" > ${LOGPATH}/collectorfiles/lwiauth.txt
system "DSPJOBTBL" > ${LOGPATH}/collectorfiles/DSPJOBTBL.txt
system "DSPIPLA" > ${LOGPATH}/collectorfiles/DSPIPLA.txt


system "CPYTOIMPF FROMFILE(QUSRSYS/QATMHTTP config) TOSTMF('${LOGPATH}/collectorfiles/chghttpa.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMHINSTC *ALL) TOSTMF('${LOGPATH}/collectorfiles/qatmhinstcAllMembers.txt') MBROPT(*REPLACE) RCDDLM(*LFCR)"                                                    

if test -e /qibm/proddata/os/osgi/templates/bin/areVerify.sh; then
echo "Step 2 of 5.  Running ARE for instance... ${LWI_INSTANCE}"
cd ${LOGPATH}/collectorfiles/
/qibm/proddata/os/osgi/templates/bin/areVerify.sh -iasserver ${LWI_INSTANCE}  >    ${LOGPATH}/collectorfiles/${LWI_INSTANCE}HealthCheck.txt
fi


if [ "$VERSION" = "5" ] && [ "$RELEASE" = "4" ]
then
	VRM="V5R4"
system "CHKPRDOPT PRDID(5722SS1) OPTION(33)" 2> ${LOGPATH}/collectorfiles/chkprdoptSS1Opt33.txt
system "CHKPRDOPT PRDID(5722SS1) OPTION(3)" 2> ${LOGPATH}/collectorfiles/chkprdoptSS1Opt3.txt
system "chkprdopt 5722JV1" 2> ${LOGPATH}/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5722DG1" 2> ${LOGPATH}/collectorfiles/chkprdoptDG1.txt	
 

echo " Step 3 of X. Running CHKPRDOPT"

elif [ "$VERSION" = "6" ] && [ "$RELEASE" = "1" ]
then
	VRM="V6R1"
system "CHKPRDOPT PRDID(5761SS1) OPTION(33)" 2> ${LOGPATH}/collectorfiles/chkprdoptSS1Opt33.txt
system "CHKPRDOPT PRDID(5761SS1) OPTION(3)" 2> ${LOGPATH}/collectorfiles/chkprdoptSS1Opt3.txt
system "chkprdopt 5761JV1" 2> ${LOGPATH}/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5761DG1" 2> ${LOGPATH}/collectorfiles/chkprdoptDG1.txt	


	
	
elif [ "$VERSION" = "7" ] && [ "$RELEASE" = "1" ]
then
	VRM="V7R1"
system "CHKPRDOPT PRDID(5770SS1) OPTION(33)" 2> ${LOGPATH}/collectorfiles/chkprdoptSS1Opt33.txt
system "CHKPRDOPT PRDID(5770SS1) OPTION(3)" 2> ${LOGPATH}/collectorfiles/chkprdoptSS1Opt3.txt
system "chkprdopt 5761JV1" 2> ${LOGPATH}/collectorfiles/chkprdoptJV1.txt
system "chkprdopt 5770DG1" 2> ${LOGPATH}/collectorfiles/chkprdoptDG1.txt	
	
	
	
	
fi

echo "Step 3 of 5.  Testing java."

#TEST JAVA
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  -showversion QIBMHello > ${LOGPATH}/collectorfiles/JDK50QIBMHello.txt 2> ${LOGPATH}/collectorfiles/JDK50QIBMHello.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/bin/java  QPropDump > ${LOGPATH}/collectorfiles/QPropDump.txt 2> ${LOGPATH}/collectorfiles/QPropDump.txt
/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin/java  -showversion QIBMHello > ${LOGPATH}/collectorfiles/JDK60QIBMHello.txt 2> ${LOGPATH}/collectorfiles/JDK60QIBMHello.txt



#/QIBM/ProdData/OS/OSGi/LWI71/native/lwihealth.sh ${LWI_INSTANCE}  ${LOGPATH}/collectorfiles/${LWI_INSTANCE}HealthCheck.txt

#Inspect the contents of the httpd.conf file for includes
grep -i 'include /' ${THECONF}> ${LOGPATH}/collectorfiles/IncludeOutput.txt 

cut -c 9-700 ${LOGPATH}/collectorfiles/IncludeOutput.txt > ${LOGPATH}/collectorfiles/IncludeFiles.txt

INCLUDE_FILES=`cat ${LOGPATH}/collectorfiles/IncludeFiles.txt`

for filename in $INCLUDE_FILES; do

	cp $filename ${LOGPATH}/collectorfiles
	
done



java PropDump > ${LOGPATH}/collectorfiles/PropDump.txt

echo "Step 4 of 5.  Gathering plugin status."

export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit 
export PATH=/usr/bin:.:/QOpensys/usr/bin 
/www/${LWI_INSTANCE}/lwi/bin/lwiplugin.sh -status > ${LOGPATH}/collectorfiles/${LWI_INSTANCE}BundleStatus.txt 2> ${LOGPATH}/collectorfiles/${LWI_INSTANCE}BundleStatus.txt
export JAVA_HOME=''

echo "Step 5 of 5.  Zipping data to $CURLOC/data/${LWI_INSTANCE}collector.zip"

jar cvf $CURLOC/data/${LWI_INSTANCE}collector.zip ${THEPATH} \
/qibm/userdata/access/web2/config \
/qibm/userdata/access/web2/intappsvr/${LWI_INSTANCE} \
/qibm/userdata/access/web2/logs \
/qibm/userdata/os/osgi/registry/ \
/qibm/proddata/os/osgi/registry/ \
/qibm/userdata/java400/SystemDefault.properties  >> ${LOGPATH}/collectorfiles/lwicollectorZIPOutput.txt  

if test "$FTP_RESPONSE" = ""; then
echo "Do you wish to upload data to ECUREP? Y or N?"
read  FTP_RESPONSE
fi


#FTP The resulting .zip file to ECUREP using the ecurepFTP.sh script
#Make FTP_RESPONSE UPPERCASE, treat blank or invalid as N
if test "$FTP_RESPONSE" = "y"; then
    FTP_RESPONSE=Y
   elif test "$FTP_RESPONSE" = "Y"; then
    echo "FTP_RESPONSE is YES"
   else
    FTP_RESPONSE=N
fi

#Need to change current location back so that ftp works properly
cd ${CURLOC}

if test -e $CURLOC/data/${LWI_INSTANCE}collector.zip; then

if test "${FTP_RESPONSE}" = "Y"; then

if test "${PMR_NUMBER}" = ""; then
echo "Please enter the PMR# in xxxxx.xxx.xxx format"
read PMR_NUMBER
fi

if test "${EMAIL_ADDR}" = ""; then
echo "Please enter your email address for FTP confirmation"
read EMAIL_ADDR
fi

echo "Attempting to ftp data"
echo "$CURLOC/ecurepFTP.sh data/${LWI_INSTANCE}collector.zip Y ${PMR_NUMBER} ${EMAIL_ADDR}"
. $CURLOC/ecurepFTP.sh data/${LWI_INSTANCE}collector.zip Y ${PMR_NUMBER} ${EMAIL_ADDR}

else echo "$CURLOC/data/${LWI_INSTANCE}collector.zip file is finished.          Please send this to service at http://www.ecurep.ibm.com/app/upload "  

fi

#Clean up .txt files that were created
rm -rf /${CURLOC}/${LWI_INSTANCE}.txt


else "$CURLOC/data/${LWI_INSTANCE}collector.zip failed to create, possible problem with jar function"

fi
