#SMTPCol.sh script gathers SMTP information. This is called by QMGTOOLS/MAILCOL 

export FTP_RESPONSE=$1
export PMR=$2
export EMAIL=$3


mkdir -p /tmp/collectorscripts/data/mailcollector  2>/dev/null



touch -C 819 /tmp/collectorscripts/data/mailcollector/MSFJobs.txt              
touch -C 819 /tmp/collectorscripts/data/mailcollector/SMTPJobs.txt             
touch -C 819 /tmp/collectorscripts/data/mailcollector/CLNTBNDIP.txt            
touch -C 819 /tmp/collectorscripts/data/mailcollector/IFCDMN.txt               
touch -C 819 /tmp/collectorscripts/data/mailcollector/SVRBNDIP.txt             
touch -C 819 /tmp/collectorscripts/data/mailcollector/QATMSMTPconfig.txt       
touch -C 819 /tmp/collectorscripts/data/mailcollector/QATMSMTPAsysaliases.txt  
touch -C 819 /tmp/collectorscripts/data/mailcollector/QATMADRLSTacceptrly.txt  
touch -C 819 /tmp/collectorscripts/data/mailcollector/QATMADRLSTaetrnip.txt    
touch -C 819 /tmp/collectorscripts/data/mailcollector/QATMADRLSTetrnhosts.txt  
touch -C 819 /tmp/collectorscripts/data/mailcollector/QATMADRLSTneadmns.txt    
touch -C 819 /tmp/collectorscripts/data/mailcollector/QATMADRLSTrejectcnn.txt  
touch -C 819 /tmp/collectorscripts/data/mailcollector/WRKDSTQ.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/WRKACTJOB.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/SMTPColScriptErrors.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/ZipOutput.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/DSPDIRE.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/QSYSWRKsbsd.txt


#Get Release
# determine the OS version and then collects only the data specific to that version
RELEASE=`(uname -r) 2>/dev/null` || RELEASE=unknown
VERSION=`(uname -v) 2>/dev/null` || VERSION=unknown

CURLOC=`(pwd) 2>/dev/null`      


                                               
                                                                                 
# Redirect Errors to /QIBM/UserData/HTTPA/Admin/logs/httpAdminScriptErrors.txt   
exec 2>/tmp/collectorscripts/data/mailcollector/SMTPColScriptErrors.txt                 


#IF CHECK FOR EACH RELEASE
if [ "$VERSION" = "6" ] && [ "$RELEASE" = "1" ]
then
	VRM="V6R1"
echo "Running healthcheck"
/QOpenSys/QIBM/ProdData/JavaVM/jdk50/32bit/jre/bin/java -jar /tmp/collectorscripts/ARETemplates/V6R1_Mail_check.jar -outFile /tmp/collectorscripts/data/mailcollector/SMTPcheck.txt

echo "done running healthcheck"

elif [ "$VERSION" = "7" ] && [ "$RELEASE" = "1" ]
then
	VRM="V7R1"
/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/jre/bin/java -jar /tmp/collectorscripts/ARETemplates/V7R1_Mail_check.jar -outFile /tmp/collectorscripts/data/mailcollector/SMTPcheck.txt	

elif [ "$VERSION" = "7" ] && [ "$RELEASE" = "2" ]
then
	VRM="V7R2"
/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/jre/bin/java -jar /tmp/collectorscripts/ARETemplates/V7R2_Mail_check.jar -outFile /tmp/collectorscripts/data/mailcollector/SMTPcheck.txt  
  
fi  	


system "WRKACTJOB SBS(QSYSWRK)" | grep -i qmsf > /tmp/collectorscripts/data/mailcollector/MSFJobs.txt                                                                                 
system "WRKACTJOB SBS(QSYSWRK)" | grep -i qtsmtp* > /tmp/collectorscripts/data/mailcollector/SMTPJobs.txt                                                                             
                                                                                                                                                                                       
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMIFCLST CLNTBNDIP) TOSTMF('/tmp/collectorscripts/data/mailcollector/CLNTBNDIP.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)" 



system "CPYTOIMPF FROMFILE(QUSRSYS/QATMIFCLST IFCDMN) TOSTMF('/tmp/collectorscripts/data/mailcollector/IFCDMN.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMIFCLST SVRBNDIP) TOSTMF('/tmp/collectorscripts/data/mailcollector/SVRBNDIP.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMSMTP CONFIG) TOSTMF('/tmp/collectorscripts/data/mailcollector/QATMSMTPconfig.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMSMTPA SYSALIASES) TOSTMF('/tmp/collectorscripts/data/mailcollector/QATMSMTPAsysaliases.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"

system "CPYTOIMPF FROMFILE(QUSRSYS/QATMADRLST ACCEPTRLY) TOSTMF('/tmp/collectorscripts/data/mailcollector/QATMADRLSTacceptrly.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMADRLST AETRNIP) TOSTMF('/tmp/collectorscripts/data/mailcollector/QATMADRLSTaetrnip.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMADRLST ETRNHOSTS) TOSTMF('/tmp/collectorscripts/data/mailcollector/QATMADRLSTetrnhosts.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMADRLST NEARDMNS) TOSTMF('/tmp/collectorscripts/data/mailcollector/QATMADRLSTneadmns.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMADRLST REJECTCNN) TOSTMF('/tmp/collectorscripts/data/mailcollector/QATMADRLSTrejectcnn.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"

system "WRKDSTQ QUEUE(*ALL) OUTPUT(*PRINT)" > /tmp/collectorscripts/data/mailcollector/WRKDSTQ.txt 
system "DSPDIRE OUTPUT(*PRINT) DETAIL(*FULL)" > /tmp/collectorscripts/data/mailcollector/DSPDIRE.txt
system "WRKACTJOB OUTPUT(*PRINT)" > /tmp/collectorscripts/data/mailcollector/WRKACTJOB.txt  
system "DSPSBSD QSYSWRK" > /tmp/collectorscripts/data/mailcollector/QSYSWRKsbsd.txt

##### GATHER JOBLOGS ################
# This script displays the joblog for all the active QMSF and QTSMTP* jobs to .txt files

#DATE=`(date "+%m-%d-%Y")`

mkdir -p /tmp/collectorscripts/data/mailcollector/Joblogs  2>/dev/null
touch -C 819 /tmp/collectorscripts/data/mailcollector/Joblogs/ActiveQMSFJobs.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/Joblogs/ActiveQTSMTPJobs.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/Joblogs/QTSMTPJobName.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/Joblogs/QTSMTPJobNumber.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/Joblogs/QMSFJobName.txt
touch -C 819 /tmp/collectorscripts/data/mailcollector/Joblogs/QMSFJobNumber.txt

ps -lu QTCP, -o JOBNUM,JOBNAME,STIME,STATUS,JOBID | grep -i 'QTSMTP*' > /tmp/collectorscripts/data/mailcollector/Joblogs/ActiveQTSMTPJobs.txt
ps -lu QMSF, -o JOBNUM,JOBNAME,STIME,STATUS,JOBID | grep -i 'QMSF' > /tmp/collectorscripts/data/mailcollector/Joblogs/ActiveQMSFJobs.txt


cat /tmp/collectorscripts/data/mailcollector/Joblogs/ActiveQTSMTPJobs.txt | cut -c 49-77 |
while read line
do
echo $line > /tmp/collectorscripts/data/mailcollector/Joblogs/QTSMTPJobName.txt
JOBNUMBER=`cut -c 1-6 /tmp/collectorscripts/data/mailcollector/Joblogs/QTSMTPJobName.txt` > /tmp/collectorscripts/data/mailcollector/Joblogs/QTSMTPJobNumber.txt
touch -C 1252  /tmp/collectorscripts/data/mailcollector/Joblogs/QTSMTPJoblog${JOBNUMBER}.txt
system "DSPJOBLOG JOB($line)" >> /tmp/collectorscripts/data/mailcollector/Joblogs/QTSMTPJoblog${JOBNUMBER}.txt


done 


cat /tmp/collectorscripts/data/mailcollector/Joblogs/ActiveQMSFJobs.txt | cut -c 49-77 |
while read line
do
echo $line > /tmp/collectorscripts/data/mailcollector/Joblogs/QMSFJobName.txt
JOBNUMBER=`cut -c 1-6 /tmp/collectorscripts/data/mailcollector/Joblogs/QMSFJobName.txt` > /tmp/collectorscripts/data/mailcollector/Joblogs/QMSFJobNumber.txt
touch -C 1252  /tmp/collectorscripts/data/mailcollector/Joblogs/QMSFJoblog${JOBNUMBER}.txt
system "DSPJOBLOG JOB($line)" >> /tmp/collectorscripts/data/mailcollector/Joblogs/QMSFJoblog${JOBNUMBER}.txt


done



#rm /tmp/collectorscripts/data/mailcollector/Joblogs/QTSMTPJobName.txt
#rm /tmp/collectorscripts/data/mailcollector/Joblogs/QTSMTPJobNumber.txt

#########



jar -cvf /tmp/collectorscripts/data/SMTPcollector.zip /tmp/collectorscripts/data/mailcollector/ >> /tmp/collectorscripts/data/mailcollector/ZipOutput.txt

# TESTS to see if file needs to be FTPed, then tests to see if it has the required JDK 6.0 to do the FTP    
if test ${FTP_RESPONSE} = "Y"; then                                                                         
if test -e "/qibm/proddata/java400/jdk6"  ||  test -e  "/QOpenSys/QIBM/ProdData/JavaVM/jdk60"; then         
if test -e /tmp/collectorscripts/data/SMTPcollector.zip; then                                                        
if test -e /tmp/collectorscripts/ibmsdduu.jar; then                                                                       
echo "We will now attempt to send it to service for analysis..."                                            
if test -e "/QOpenSys/QIBM/ProdData/JavaVM/jdk60"; then                                                     
export JDK6_PATH=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit/bin     

else                                                                                                                                
export JDK6_PATH=/qibm/proddata/java400/jdk6/bin                                                                                    
fi                                                                                                                                  
                                                                                                                                    
${JDK6_PATH}/java  -cp .:/tmp/collectorscripts/ibmsdduu.jar ibmsdduu.cmd -email=${EMAIL} -pmr -id=${PMR} -compress -encrypt /tmp/collectorscripts/data/SMTPcollector.zip
                                                                                                                                    
else                                                                                                                                
                                                                                                                                    
echo "Unable to send the file.  Please send the $CURLOC/data/SMTPcollector.zip "                                               
echo "to this website: http://www.ecurep.ibm.com/app/upload"                                                                        
fi                                                                                                                                  
else                                                                                                                                
echo "There is a problem with the jar function, unable to create the SMTPcollector.zip file"                                   
fi                                                                                                                                  
else                                                                                                                                
echo "JDK 6.0 is not installed, please upload $CURLOC/data/SMTPcollector.zip"                                                  
echo "to this website:  http://www.ecurep.ibm.com/app/upload"                                                                       
fi                                                                                                                                  

fi
if  test ${FTP_RESPONSE} = "N"; then
echo "Please upload  /tmp/collectorscripts/data/SMTPcollector.zip"
echo "to this website:  http://www.ecurep.ibm.com/app/upload"
fi
